DCMTK: DVPSReferencedSeries Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSReferencedSeries Class Reference

an item of the referenced series sequence in a presentation state (internal use only). More...

## Public Member Functions
| DVPSReferencedSeries ()
| default constructor
| DVPSReferencedSeries (const DVPSReferencedSeries &copy)
| copy constructor
DVPSReferencedSeries * | clone ()
| clone method.
virtual | ~DVPSReferencedSeries ()
| destructor
OFCondition | read (DcmItem &dset)
| reads an series reference from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the series reference managed by this object to a DICOM dataset.
OFBool | isValid (OFString &sopclassuid)
| check if the passed SOP Class UID is equal to the ones stored in this object.
OFBool | isSeriesUID (const char *uid)
| compare SOP Instance UID.
DVPSReferencedImage * | findImageReference (const char *sopinstanceuid)
| checks if an image reference with the given SOP instance UID exists in the ReferencedImageSequence of this series reference.
void | removeImageReference (const char *sopinstanceuid)
| remove image reference from this series reference if present.
void | setSeriesInstanceUID (const char *uid)
| set Series Instance UID of this series reference.
void | setRetrieveLocation (const char *aetitle=NULL, const char *filesetID=NULL, const char *filesetUID=NULL)
| set the optional retrieve location for this series reference.
const char * | getRetrieveAETitle ()
| gets the retrieveAETitle for this series reference.
const char * | getStorageMediaFileSetID ()
| gets the storageMediaFileSetID for this series reference.
const char * | getStorageMediaFileSetUID ()
| gets the storageMediaFileSetUID for this series reference.
OFCondition | addImageReference (const char *sopclassUID, const char *instanceUID, const char *frames=NULL)
| add image reference to this series reference.
size_t | numberOfImageReferences () const
| gets the number of image references in this object.
OFCondition | getImageReference (size_t idx, OFString &seriesUID, OFString &sopclassUID, OFString &instanceUID, OFString &frames, OFString &aetitle, OFString &filesetID, OFString &filesetUID)
| gets an image reference with the given index.

## Private Member Functions
DVPSReferencedSeries & | operator= (const DVPSReferencedSeries &)
| private undefined assignment operator

## Private Attributes
DVPSReferencedImage_PList | referencedImageList
| Referenced Image Sequence.
DcmUniqueIdentifier | seriesInstanceUID
| VR=UI, VM=1, Type 1c.
DcmApplicationEntity | retrieveAETitle
| VR=AE, VM=1, Type 3.
DcmShortString | storageMediaFileSetID
| VR=SH, VM=1, Type 3.
DcmUniqueIdentifier | storageMediaFileSetUID
| VR=UI, VM=1, Type 3.

## Detailed Description

an item of the referenced series sequence in a presentation state (internal use only).

This class manages the data structures comprising one item of the Referenced Series Sequence in a Presentation State object.

## Member Function Documentation

## ◆ addImageReference()

OFCondition DVPSReferencedSeries::addImageReference | ( | const char * | sopclassUID,
|  | const char * | instanceUID,
|  | const char * | frames = NULL )

add image reference to this series reference.

A new image reference for this series is created. The image SOP instance UID must be unique (must not yet exist as a reference in this series), otherwise an error code is returned.

Parameters

  sopclassUID | a pointer to the Image SOP Class UID, which is copied into the new image reference
  instanceUID | a pointer to the Image SOP Instance UID, which is copied into the new image reference
  frames | a list of frame numbers in DICOM IS format (integer numbers separated by '\' characters). Default: frame numbers absent. The frame numbers are required if the referenced image is a multiframe image.

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ clone()

DVPSReferencedSeries * DVPSReferencedSeries::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSReferencedSeries object containing a deep copy of this object.

References DVPSReferencedSeries().

## ◆ findImageReference()

DVPSReferencedImage * DVPSReferencedSeries::findImageReference | ( | const char * | sopinstanceuid | ) |

checks if an image reference with the given SOP instance UID exists in the ReferencedImageSequence of this series reference.

Parameters

  sopinstanceuid | the SOP instance UID of the searched image reference

Returns
  a pointer to the matching DVPSReferencedImage if found, NULL otherwise.

## ◆ getImageReference()

OFCondition DVPSReferencedSeries::getImageReference | ( | size_t | idx,
|  | OFString & | seriesUID,
|  | OFString & | sopclassUID,
|  | OFString & | instanceUID,
|  | OFString & | frames,
|  | OFString & | aetitle,
|  | OFString & | filesetID,
|  | OFString & | filesetUID )

gets an image reference with the given index.

Parameters

  idx | index, must be < numberOfImageReferences().
  seriesUID | the Series Instance UID is returned in this string
  sopclassUID | the SOP Class UID is returned in this string
  instanceUID | the SOP Instance UID is returned in this string
  frames | the list of frames is returned in this string
  aetitle | the series retrieveAETitle is returned in this string
  filesetID | the series storageMediaFileSetID is returned in this string
  filesetUID | the series storageMediaFileSetUID is returned in this string

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ getRetrieveAETitle()

const char * DVPSReferencedSeries::getRetrieveAETitle | ( |  | ) |

gets the retrieveAETitle for this series reference.

Returns
  retrieveAETitle if present, NULL otherwise.

## ◆ getStorageMediaFileSetID()

const char * DVPSReferencedSeries::getStorageMediaFileSetID | ( |  | ) |

gets the storageMediaFileSetID for this series reference.

Returns
  storageMediaFileSetID if present, NULL otherwise.

## ◆ getStorageMediaFileSetUID()

const char * DVPSReferencedSeries::getStorageMediaFileSetUID | ( |  | ) |

gets the storageMediaFileSetUID for this series reference.

Returns
  storageMediaFileSetUID if present, NULL otherwise.

## ◆ isSeriesUID()

OFBool DVPSReferencedSeries::isSeriesUID | ( | const char * | uid | ) |

compare SOP Instance UID.

Parameters

  uid | the UID to be compared

Returns
  OFTrue if the SeriesInstanceUID of this object is equal to uid, OFFalse otherwise.

## ◆ isValid()

OFBool DVPSReferencedSeries::isValid | ( | OFString & | sopclassuid | ) |

check if the passed SOP Class UID is equal to the ones stored in this object.

This method checks whether this object contains at least one image reference and whether all image references use the same SOP class UID as the one passed. If sopclassuid is empty, the referencedSOPClassUID of the first image reference is assigned to it.

Parameters

  sopclassuid | the SOP class UID to be validated

Returns
  OFTrue if successful, OFFalse if unsuccessful.

## ◆ numberOfImageReferences()

size_t DVPSReferencedSeries::numberOfImageReferences | ( |  | ) | const
| inline

gets the number of image references in this object.

Returns
  the number of image references.

References referencedImageList.

## ◆ read()

OFCondition DVPSReferencedSeries::read | ( | DcmItem & | dset | ) |

reads an series reference from a DICOM dataset.

The DICOM elements of the referenced series item are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the item of the ReferencedSeriesSequence from which the data is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ removeImageReference()

void DVPSReferencedSeries::removeImageReference | ( | const char * | sopinstanceuid | ) |

remove image reference from this series reference if present.

If an image reference with a SOP instance UID corresponding to the passed UID is found, it is removed from this series reference.

Parameters

  sopinstanceuid | a pointer to the image SOP instance UID.

## ◆ setRetrieveLocation()

void DVPSReferencedSeries::setRetrieveLocation | ( | const char * | aetitle = NULL,
|  | const char * | filesetID = NULL,
|  | const char * | filesetUID = NULL )

set the optional retrieve location for this series reference.

Parameters

  aetitle | the retrieveAETitle, must be a valid DICOM 'AE' value. Default: value absent.
  filesetID | the storageMediaFileSetID, must be a valid DICOM 'SH' value. Default: value absent.
  filesetUID | the storageMediaFileSetUID, must be a valid DICOM UID. Default: value absent.

## ◆ setSeriesInstanceUID()

void DVPSReferencedSeries::setSeriesInstanceUID | ( | const char * | uid | ) |

set Series Instance UID of this series reference.

Parameters

  uid | a pointer to the UID, which is copied into this object.

## ◆ write()

OFCondition DVPSReferencedSeries::write | ( | DcmItem & | dset | ) |

writes the series reference managed by this object to a DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the the item of the ReferencedSeriesSequence to which the data is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsrs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1